﻿using System;
using System.Collections.Generic;
using Syncfusion.Drawing;
using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Grid;
using Xamarin.Forms;

namespace SimpleSample
{
    public partial class SampleGridView : ContentView
    {
        public SampleGridView()
        {
            InitializeComponent();
            var document = new PdfDocument();
            voltageGroupAChart.WidthRequest = document.PageSettings.Width;
            voltageGroupAChart.HeightRequest = document.PageSettings.Height;


            // adding text to the PDF
            PdfPage page = document.Pages.Add();

            PdfStandardFont font = new PdfStandardFont(PdfFontFamily.Helvetica, 15);

            page.Graphics.DrawString("Grid table is shown below", font, PdfBrushes.Black, new PointF(20, 20));




            //Create a PdfGrid.

            PdfGrid pdfGrid = new PdfGrid();

            //Add values to list

            List<object> data = new List<object>();

            Object row1 = new { ID = "E01", Name = "Clay" };

            Object row2 = new { ID = "E02", Name = "Thomas" };

            data.Add(row1);

            data.Add(row2);

            //Add list to IEnumerable

            IEnumerable<object> dataTable = data;

            //Assign data source.

            pdfGrid.DataSource = dataTable;

            //Draw grid to the page of PDF document.

            pdfGrid.Draw(page, new Syncfusion.Drawing.PointF(20, 40));



            var stream = voltageGroupAChart.GetStream();
            DependencyService.Get<IChartDependencyService>().SaveAsPDF("Sf.pdf", stream, voltageGroupAChart, document);
        }

    }
}
